/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#include <WeldingLight.h>

WeldingLight::WeldingLight (byte ledPin)
{
  pin = ledPin;
  ledState = false;
  pinMode(pin, OUTPUT);
  digitalWrite(pin, LOW);

  calcNextBlink();
}

void WeldingLight::update()
{
  if (ledState == true) {
    analogWrite(pin, random(0, 255));
  }
  if ((long)millis() - nextBlink >= 0) {
    calcNextBlink();
  }
}

void WeldingLight::calcNextBlink()
{
  if (ledState == false) {
    digitalWrite(pin, HIGH);
    nextBlink = (long)millis() + random(1000, 2800);
  } else {
    digitalWrite(pin, LOW);
    nextBlink = (long)millis() + random(100, 1800);
  }

  ledState = !ledState;
}

