/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#ifndef WELDINGLIGHT_H
#define WELDINGLIGHT_H

#include <Arduino.h>

class WeldingLight
{
  public:
    /**
       Constructor which resets all relevant values and connects the LED to the pin of the Arduino.

           ledPin  LED pin connected to the Arduino (PWM capable)
    */
    WeldingLight (byte ledPin);

    /**
       Update routine which should be called in the main loop()-function
    */
    void update();

  protected:
    bool ledState;
    byte pin;
    long nextBlink;

    void calcNextBlink();
};

#endif
